<?php

    // Configuration datas, to be updated according to real requirements.
    $mssAddr = "192.168.1.100";
    $mssCallbackPort = 5080;

    $localHost = "192.168.1.100";
    $localUDPPort = 4000;

    $user1 = "100"; 
    $user2 = "101";

    // use a rand value as ID required in callback command. It is not very good.
    $sessionID = rand();    

    // Build callback command string    
    $commandStr = "REQUEST: id=".$sessionID.";";
    $commandStr .= "user1=".$user1 .";";
    $commandStr .= "user2=".$user2 .";";
    $commandStr .= "duration=3600;";

    $udpSock = socket_create(AF_INET,SOCK_DGRAM,SOL_UDP);
    if(!$udpSock)
    {
        error_log("cannot create command socket");
        return;
    }

    socket_bind($udpSock, $localHost, $localUDPPort);
    
    $len = strlen($commandStr);
        
    socket_sendto($udpSock, $commandStr, $len, 0, $mssAddr, $mssCallbackPort);
    
    socket_close($udpSock);

?>